/*
 CMObjCMainController.m

 Author: ppm

 Copyright 2009 ppm. All rights reserved.
*/

#import "CMObjCMainController.h"


@interface NSObject (CMGhost)

// Ghost
+ (void)identifyWithMessage:(NSString*)messageText;
- (void)identifyWithMessage:(NSString*)messageText;

@end


#pragma mark -

@implementation CMObjCMainController

//--------------------------------------------------------------//
#pragma mark -- Action --
//--------------------------------------------------------------//

- (IBAction)objCGhostIdentifyAction:(id)sender;
{
	id cmGhostClass;
	cmGhostClass = NSClassFromString(@"CMGhost");
	if (!cmGhostClass) {
		NSLog(@"Failed to get class.");
		
		return;
	}
	
	// Call as class method
	[cmGhostClass identifyWithMessage:@"ObjC: Calling as class method"];
	
	// Call as instance method
	id ghost;
	ghost = [[cmGhostClass alloc] init];
	[ghost identifyWithMessage:@"ObjC: Calling as instance method"];
	[ghost release];
}

@end
