--
--  ClassMethodOrInstanceMethodAppDelegate.applescript
--  ClassMethodOrInstanceMethod
--
--  Created by ppm on 09/08/30.
--  Copyright 2009 ppm. All rights reserved.
--

-- Utility: Don't use this!
on _class(className)
	return class className of current application
end _class

-- Class: Use this.
property class_CMGhost : class "CMGhost" of current application
property class_PPDumper : class "PPDumper" of current application


script ClassMethodOrInstanceMethodAppDelegate
	
	on applicationWillFinishLaunching_(aNotification)
		
	end applicationWillFinishLaunching_
	
	on applicationShouldTerminate_(sender)
		-- Insert code here to do any housekeeping before your application quits 
		return my NSTerminateNow
	end applicationShouldTerminate_
	
	-- Action
	
	on ghostIdentifyAction_(sender)
		-- Call as class method
		tell class_CMGhost to identifyWithMessage_("AppleScript: Calling as class method")
		
		-- Call as instance method
		tell class_CMGhost to set ghost to alloc()'s init()
		tell ghost
			identifyWithMessage_("AppleScript: Calling as instance method")
			release()
		end tell
	end ghostIdentifyAction_
	
	on dumpMethodsAction_(sender)
		tell class_PPDumper to dumpMethodsOfClass_(class_CMGhost)
	end dumpMethodsAction_
	
end script