/*
 PPDumper.m

 Author: ppm

 Copyright 2009 ppm. All rights reserved.
*/

#import "PPDumper.h"

// Other
#import <objc/objc-runtime.h>


@implementation PPDumper

//--------------------------------------------------------------//
#pragma mark -- Dump --
//--------------------------------------------------------------//

+ (void)dumpMethodsOfClass:(Class)klass
{
	// Get methods
	unsigned numberOfMethods = 0;
	Method* methods = NULL;
	methods = class_copyMethodList(klass, &numberOfMethods);
	
	// Dump
	int i;
	for (i = 0; i < numberOfMethods; i++) {
		// Get method
		Method method;
		method = *(methods + i);
		
		// Dump
		printf("%s\n", sel_getName(method_getName(method)));
	}
	free(methods);
}

@end
